package com.muyu.cloud.pay.domain.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @ClassName CustomerOrderPaySimpleResp
 * @Description 客户支付单简略返回实体
 * @Author Chen
 * @Date 2024/8/7 22:13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name="客户支付单",description = "客户支付单简略信息")
public class CustomerOrderPaySimpleResp {
    /**
     * 客户单号
     */
    @Schema(name = "客户单号",type = "String",defaultValue = "YUIO3679FCVBNM",description = "客户单传入的支付信息")
    private String cusOrderNumber;

    /**
     * 支付金额
     */
    @Schema(name = "客户单号",type = "BigDecimal",defaultValue = "36.56",description = "客户传入的支付金额")
    private BigDecimal price;
    /**
     * 渠道商类型
     */
    @Schema(name = "支付渠道商",type = "String",defaultValue = "支付宝",description = "用户支付的时候选择的渠道商")
    private String channelTypeName;
}
