package com.muyu.cloud.pay.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.cloud.pay.domain.OrderPayCustomer;
import com.muyu.cloud.pay.domain.req.CustomerListReq;
import com.muyu.cloud.pay.domain.resp.CustomerResp;

import java.util.List;

/**
 * @ClassName OrderPayCustomerService
 * @Description 支付客户业务层
 * @Author Chen
 * @Date 2024/7/29 20:30
 */
public interface OrderPayCustomerService extends IService<OrderPayCustomer> {
    /**
     * 查询客户集合
     * @param customerListReq
     * @return客户集合
     */
    public List<CustomerResp> selectList(CustomerListReq customerListReq);

    /**
     * 获取所有的客户
     * @return 客户集合
     */
    List<String> getCustomerAllList();

}
