package com.muyu.cloud.pay.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.pay.domain.OrderPayInfo;
import com.muyu.cloud.pay.mapper.OrderPayMapper;
import com.muyu.cloud.pay.service.OrderPayService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName OrderPayServiceImpl
 * @Description 描述
 * @Author Chen
 * @Date 2024/8/7 22:24
 */
@Service
public class OrderPayServiceImpl extends ServiceImpl<OrderPayMapper, OrderPayInfo> implements OrderPayService {

    @Override
    public List<OrderPayInfo> selectOrderPayByAppCodeAndLimit(String appCode, int limit) {
        LambdaQueryWrapper<OrderPayInfo> orderPayInfoWrapper = new LambdaQueryWrapper<>();
        orderPayInfoWrapper.eq(OrderPayInfo::getAppCode,appCode);
        orderPayInfoWrapper.orderBy(true,false,OrderPayInfo::getCreateTime);
        orderPayInfoWrapper.last("limit "+limit);

        return this.list(orderPayInfoWrapper);
    }
}
